RealPath:
WebPath:
2016/12/24 21:20 (JST) 更新
開発関連 >>

Python

Contents

CentOS 6.6 にて。

yum でインストール

# yum -y install python

ソースからインストール

※./configure で --enable-optimizations を促されたりするが、これを指定すると「gcc: error: -fuse-linker-plugin is not supported in this configuration」エラーが出たりするので指定せずに運用している。

# python --version
Python 2.6.6

# which python
/usr/bin/python

# yum -y groupinstall "Development tools"
# wget https://www.python.org/ftp/python/2.7.13/Python-2.7.13.tgz
# tar xzvf Python-2.7.13.tgz
# cd Python-2.7.13
# ./configure --prefix=/usr
# make
# make install

# sudo su -

# python --version
Python 2.7.13

# which python
/usr/bin/python